org.apache.cassandra.transport

## Class Connection

- java.lang.Object
- - org.apache.cassandra.transport.Connection

- Direct Known Subclasses:
    ServerConnection

      public class Connection
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `Connection.Factory`
    `static interface` | `Connection.Tracker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Connection(io.netty.channel.Channel channel, ProtocolVersion version, Connection.Tracker tracker)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `io.netty.channel.Channel` | `channel()`
    `FrameCompressor` | `getCompressor()`
    `Connection.Tracker` | `getTracker()`
    `ProtocolVersion` | `getVersion()`
    `void` | `setCompressor(FrameCompressor compressor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Connection

          public Connection(io.netty.channel.Channel channel,
                            ProtocolVersion version,
                            Connection.Tracker tracker)

  - ### Method Detail

    - #### setCompressor

          public void setCompressor(FrameCompressor compressor)

    - #### getCompressor

          public FrameCompressor getCompressor()

    - #### getTracker

          public Connection.Tracker getTracker()

    - #### getVersion

          public ProtocolVersion getVersion()

    - #### channel

          public io.netty.channel.Channel channel()

Copyright © 2018 The Apache Software Foundation